底图圆形

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Circle and the translation is 75% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Fillet.svg Fillet
Next: Arc Draft Arc.svg Arrow-right.svg

Draft Circle.svg Draft Circle

Menu location
Draft → Circle
Workbenches
Draft, Arch
Default shortcut
C I
Introduced in version
0.7
See also
Draft Arc, Draft Ellipse


描述

底图圆形工具通过用户输入的两个点(中心点与半径),或通过拾取切线,或上述若干组合来在当前的工作平面上创建一个圆形。它将根据Draft Tray中的Draft Linestyle来创建圆形。

此工具与Draft Arc工具的工作方式很相似,区别在于前者创建的是一个完整的圆周。要绘制椭圆形请使用Draft Ellipse工具。

Draft Circle example.jpg

两点定一圆


如何使用

  1. 点击Draft Circle.png Draft Circle按钮,或先后按下CI键。
  2. 在3D视图中单击第一个点,或输入一个coordinate并按下Draft AddPoint.svg add point按钮。
  3. 在3D视图中单击第二个点,或输入一个半径值。

通过双击树状视图(tree view)中的元素或点击Draft Edit.svg Draft Edit按钮即可编辑对应圆形。届时,您就可将中心点与半径点移动到预定的新位置。

创建圆形之后,通过将其第一角度(first angle)与最后角度(last angle)两个属性设置为不同值,便可以将它转换为一条弧。

选项

  • 此工具绘制圆形的主要用法就是拾取两点,即圆形的中心点及其圆周上一点。
    • 通过按下Alt键,您就可以选取一条切线而非拾取一个点。You can therefore construct several types of circles by selecting one, two or three tangents.
  • 为了手动输入坐标,您可以在输入X、Y或Z坐标值后,通过按下Enter键切换至下一个坐标分量。您可以在输入点的坐标值后按Draft AddPoint.svg add point按钮来插入目标点。
  • T键或单击continue多选框即可切换至连续模式。如果开启了连续模式,则圆形工具将在绘制完一个圆形后再次开启,并令您在不用按下圆形工具这一按钮的情况下,继续绘制下一个圆形。
  • L键或单击filled复选框即可切换至填充模式。若开启填充模式,此工具创建的将是一个圆形的面(DATAMake Face True);否则创建的仅是一个圆形而非圆面(DATAMake Face False)。
  • 若希望将点强制绘至捕捉到的最近位置,请按住Ctrl键。
  • 若希望令绘制的第二个点位于第一个的水平或垂直方向,请按住Shift键。
  • Esc键或Close按钮来终止当前命令。

属性

圆形对象享有Draft Arc中的所有属性,但是有些属性仅对圆形而言才有意义。

数据

  • DATAFirst Angle: 指定圆形的起始角度;此值通常为0°.
  • DATALast Angle: 指定圆形的结束角度;此值通常为0°。
  • DATARadius: 指定圆形的半径。
  • DATAMake Face: 指定此工具绘制的是圆面还是圆形。如果值为True则创建一个面,否则仅是创建一个圆周。只有绘制完整的圆形时,本属性才会生效。
对于完整的圆形而言,DATAFirst AngleDATALast Angle应当有着相同的值;否则,显示的将是一个弧线。0°与 360°并非相同的值,因此若采用这两个值,则绘制的圆无法构成一个面。

视图

  • VIEWPattern: 指定底图图案,用它来填充圆面。只有当DATAMake FaceTrueVIEWDisplay Mode为"Flat Lines"时本属性才能生效。
  • VIEWPattern Size: 指定底图图案的大小。

脚本

参见: Draft APIFreeCAD Scripting Basics

通过下列函数就可以在macrosPython控制台中使用圆形工具:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • 利用指定的以毫米为单位的radius来创建一个Circle对象。
    • 可用Part.Edge来代替radius,但是其Curve属性必为Part.Circle.
  • 如果给出了placement便采用此值为中心点;否则此圆形中心点位于原点。
  • 如果faceTrue,则把圆形构造为一个面,即将它填充为实心圆片。
  • 如果将startangleendangle设置为不同的度数,便会启用此二参数,且目标对象表现为一个Draft Arc

示例:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)
Arrow-left.svg Previous: Draft Fillet.svg Fillet
Next: Arc Draft Arc.svg Arrow-right.svg